#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 25. Graphical Environment Libraries

- Prev

  libcairomm-1.0 (cairomm-1.14.0)

- Next

  FLTK-1.3.9

- Up
- Home

# colord-gtk-0.3.1

## Introduction to Colord GTK

The Colord GTK package contains GTK+ bindings for Colord.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/colord/releases/colord-gtk-0.3.1.tar.xz

- Download MD5 sum: d436740c06e42af421384f16b2a9a0a7

- Download size: 24 KB

- Estimated disk space required: 2.1 MB

- Estimated build time: less than 0.1 SBU

### Colord GTK Dependencies

#### Required

colord-1.4.7 and GTK+-3.24.41

#### Recommended

gobject-introspection-1.78.1, GTK-4.12.5, and Vala-0.56.14

#### Optional

DocBook-utils-0.6.14 and GTK-Doc-1.33.2

## Installation of Colord GTK

### Warning

If building the documentation ninja -j1 must be used.

Install Colord GTK by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dgtk4=true         \
                -Dvapi=true         \
                -Ddocs=false        \
                -Dman=false         \
                ..                  &&
    ninja

To test the results, issue: ninja test. The tests need to be run from an X session, and may require a color profile for your primary display.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dvapi=true`: This switch enables building of the Vala bindings. Remove this switch if you don't have Vala-0.56.14 installed.

`-Dgtk4=true`: This switch enables building the GTK-4 bindings for colord. Set this option to 'false' if you do not have GTK-4.12.5 installed.

`-Ddocs=false`: This switch disables building gtk-doc based documentation. Even if gtk-doc is installed, you will need the namespaced versions of the Docbook XSL stylesheets.

`-Dman=false`: This switch disables generating the manual pages for this package. Remove this switch if you have namespaced versions of the Docbook XSL stylesheets installed.

`-Dgtk2=true`: This switch enables building the GTK+-2 bindings for colord. However since gtk2 is deprecated it is not recommended to build these bindings.

## Contents

Installed Programs: cd-convert
Installed Libraries: libcolord-gtk.so, and libcolord-gtk4.so
Installed Directories: /usr/include/colord-1/colord-gtk and /usr/share/gtk-doc/html/colord-gtk

### Short Descriptions

cd-convert | is a Color Manager Testing Tool
`libcolord-gtk.so` | contains the Colord GTK+ bindings
`libcolord-gtk4.so` | contains the Colord GTK-4 bindings

- Prev

  libcairomm-1.0 (cairomm-1.14.0)

- Next

  FLTK-1.3.9

- Up
- Home